<div class='globalContainer  box-shadow'>
  <div class='report-form'>
    <dx-form #reportExt [colCount]="1" [(formData)]="reportObj" validationGroup='reportValidation' (onFieldDataChanged)='onReportFieldChange($event)'>
      <dxi-item itemType='group' [colSpan]='1' [colCount]='1'>
        <dxi-item [label]="{ text: 'Tip raport'}" dataField="reportType" editorType="dxSelectBox" [editorOptions]="{dataSource: dsReportType, displayExpr:'value', valueExpr:'id', showClearButton: true}">
        </dxi-item>
        <dxi-item [label]="{ text: 'Grup'}" [visible]='groupVisible' dataField="bu" editorType="dxSelectBox"
          [editorOptions]="{dataSource: dsBu, displayExpr:'name', valueExpr:'id', searchEnabled: true, showClearButton: true}">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
      </dxi-item>
      <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
        <dxi-item [label]="{ text: 'Entitate'}" dataField="entity" editorType="dxSelectBox" [editorOptions]="{dataSource: dsEntities, displayExpr:'name', valueExpr:'id', searchEnabled: true, showClearButton: true, disabled: disableEntity  }">
        </dxi-item>
        <dxi-item [label]="{text: 'Punct de lucru'}" [visible]='wcVisible' dataField="workCenter" editorType="dxSelectBox"
          [editorOptions]="{ dataSource: dsWorkCenter, displayExpr:'name', valueExpr:'id', searchEnabled: true, showClearButton: true, disabled: disableWc }">
        </dxi-item>
        <dxi-item [label]="{text: 'An raportare'}" [visible]='yearVisible' dataField='year' editorType='dxNumberBox'
          [editorOptions]="{min: '1990', max: reportYear }">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Luna raportare'}" [visible]='monthVisible' dataField="month" editorType="dxSelectBox"
          [editorOptions]="{ dataSource: dsMonth, displayExpr:'name', valueExpr:'id', searchEnabled: true, showClearButton: true }">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Semestru'}" [visible]='semVisible' dataField="sem" editorType="dxSelectBox"
          [editorOptions]="{ dataSource: dsSemester, displayExpr:'name', valueExpr:'id', searchEnabled: true, showClearButton: true }">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'De la data'}" [visible]='fromDateVisible' dataField="fromDate" editorType="dxDateBox"
          [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%' }">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Până la data'}" [visible]='thruDateVisible' dataField="thruDate" editorType="dxDateBox"
          [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%' }">
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
      </dxi-item>
    </dx-form>
    <div class='report-footer'>
      <dx-button text='Generează raport' (onClick)='onClickGenerateReport($event, reportObj.reportType)'
        validationGroup='reportValidation'></dx-button>
      <dx-button style='margin-left: 10px;' text='Arhivează' (onClick)='onClickArchive($event, reportObj.reportType)'></dx-button>
    </div>

  </div>

</div>
